API referenceRules
`PUT /rules/{id}/mute` — mute a rule until a given time (ADR-0072 §1). It keeps running and writing findings; it raises no alerts.
PUT
/rules/{id}/mutePath Parameters
id*string
Rule id
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
PUT /rules/{id}/mute — mute a rule until until (ADR-0072 §1).
Response Body
application/json
curl -X PUT "https://example.com/rules/string/mute" \ -H "Content-Type: application/json" \ -d '{ "until": "string" }'{ "alerting": null, "covered_through": "string", "created_at": "string", "description": "string", "enabled": true, "id": "string", "key": "string", "last_run_at": "string", "last_run_status": null, "managed_by": "string", "muted_until": "string", "name": "string", "next_run_at": "string", "org_id": "string", "owner_team_id": "string", "query": null, "schedule": "string", "status": null, "updated_at": "string"}